Subject: bug#16348: 24.3.50; Increasing internal-border-width cuts menubar and toolbar on non-toolkit builds

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Jan 2014 19:07:30 +0200

> Date: Sun, 05 Jan 2014 17:48:59 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> The only practical solution I usually see is to resize the frame to
> some other size and size it back.  I doubt that this is the same as
> resetting the enabled_p flags.

What do you think it does, in addition?  It reallocates the glyph
matrices to fit the new dimensions, which clears that flag.

Anyway, I'm not aware of any mechanism in the display engine to avoid
redrawing portions of the screen, except the one that compares glyph
rows.  All the other redisplay optimizations are suppressed by setting
windows_or_buffers_changed, and I imagine you already do that.

If I'm wrong, can you point to the code that avoids redrawing those
parts?